Bug 248253 - PATCH: fix reopening of SDL_mixer
Summary: PATCH: fix reopening of SDL_mixer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: SDL_mixer (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-14 11:08 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 1.2.7-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 05:14:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hans de Goede 2007-07-14 11:08:21 UTC
Description of problem:
gcompris uses SDL_mixer for it sound and sometimes launches external programs,
which use sound too. To make sure the soundcard is available it closes SDL_mixer
before running the program, and re-opens SDL_mixer after running it.

This causes gcompris to crash on the reopen with the current version of
SDL_mixer gcompris upstream has written a patch for this which has been
integrated upstream:
http://www.libsdl.org/cgi/viewvc.cgi/trunk/SDL_mixer/timidity/common.c?r1=2420&r2=2916&view=patch

Please include this patch in the next SDL_mixer release.


Steps to Reproduce:
1. Start gcompris
2. Goto Games
3. Launch tuxpaint
4. Exit tuxpaint
  
Actual results:
After exiting tuxpaint gcompris crashes

Expected results:
Returning to the games menu after launching tuxpaint

Comment 1 Brian Pepple 2007-07-14 14:49:25 UTC
Hans, thanks for the patch I'll try to look at it later today.

Comment 2 Fedora Update System 2007-07-16 16:54:38 UTC
SDL_mixer-1.2.7-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-07-25 05:14:34 UTC
SDL_mixer-1.2.7-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.